## autodep8 0.1

=== Makefile ===
PREFIX ?= /usr/local
install_support = $(patsubst support/%, install-%, $(wildcard support/*))

all:
	@echo Built

install: $(install_support)
	install -d $(DESTDIR)/$(PREFIX)/bin
	install -m 755 autodep8 $(DESTDIR)/$(PREFIX)/bin

$(install_support): install-%: support/%
	install -d $(DESTDIR)/$(PREFIX)/share/autodep8/$<
	install -m 755 $^/* $(DESTDIR)/$(PREFIX)/share/autodep8/$<

test:
	./test.sh

check: test

clean:
	@echo Clean

=== debian/changelog ===
autodep8 (0.1) unstable; urgency=medium

  * Initial release.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 20 Sep 2014 10:45:21 -0300

=== debian/control ===
Source: autodep8
Section: devel
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9), dctrl-tools, shunit2
Standards-Version: 3.9.5

Package: autodep8
Architecture: all
Depends: dctrl-tools, ${misc:Depends}
Description: DEP-8 test control file generator
 autodep8 will detect well-known types of packages and generate
 DEP-8-compliant test control files for them. It can be used by DEP-8
 implementations to support implicit test control files.
 .
 Currently supported packages types:
 - Ruby packages using gem2deb/gem2deb-test-runner
 - Perl packages

## autodep8 0.1git1

=== debian/changelog ===
autodep8 (0.1git1) vivid; urgency=medium

  [ Antonio Terceiro ]
  * debian/control: add Vcs-* fields

  [ Martin Pitt ]
  * Switch maintainer to Autopkgtest team, and add myself as uploader, with
    Antonio's consent.
  * Bump Standards-Version to 3.9.6 (no changes necessary).

  [ Jean-Baptiste Lallement ]
  * support/dkms: Add support for dkms packages (Closes: #766668) This needs a
    corresponding "dkms-autopkgtest" script in DKMS itself, see #769095.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Nov 2014 11:50:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: autodep8
 Section: devel
 Priority: optional
-Maintainer: Antonio Terceiro <terceiro@debian.org>
+Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 9), dctrl-tools, shunit2
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/autodep8.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autodep8.git
+
 
 Package: autodep8
 Architecture: all

## autodep8 0.2~bpo8+1

=== debian/changelog ===
autodep8 (0.2~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 26 Jul 2015 08:25:36 -0300

autodep8 (0.2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/control: add Vcs-* fields
  * support/ruby: pass --check-dependencies to gem2deb-test-runner

  [ Martin Pitt ]
  * Switch maintainer to Autopkgtest team, and add myself as uploader, with
    Antonio's consent.
  * Bump Standards-Version to 3.9.6 (no changes necessary).

  [ Jean-Baptiste Lallement ]
  * support/dkms: Add support for dkms packages (Closes: #766668) This needs a
    corresponding "dkms-autopkgtest" script in DKMS itself, see #769095.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 24 Jul 2015 09:30:40 -0300

## autodep8 0.3~bpo8+1

=== debian/changelog ===
autodep8 (0.3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Mar 2016 19:11:31 -0300

autodep8 (0.3) unstable; urgency=medium

  * split tests by language
  * Ruby: remove commented lines from Build-Depends fields
  * NodeJS:
    - also detect NodeJS packages by binary packages
    - add support for reading upstream name from package.json (Closes: #803176)
      - added dependency and build dependency on python3 (autopkgtest itself
        already depends on python3 anyway)
    - add support for reading upstream name from binary package
  * debian/tests/control: added DEP-8 tests to fix a huge incoherence, which
    is autodep8 not being tested itself on CI.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 26 Nov 2015 17:30:16 -0200

## autodep8 0.3

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,9 @@
 	install -d $(DESTDIR)/$(PREFIX)/share/autodep8/$<
 	install -m 755 $^/* $(DESTDIR)/$(PREFIX)/share/autodep8/$<
 
+.PHONY: test
 test:
-	./test.sh
+	./test/run.sh test/*_test.sh
 
 check: test

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>, Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 9), dctrl-tools, shunit2
+Build-Depends: debhelper (>= 9), dctrl-tools, shunit2, python3
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/autodep8.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autodep8.git
@@ -11,7 +11,7 @@
 
 Package: autodep8
 Architecture: all
-Depends: dctrl-tools, ${misc:Depends}
+Depends: dctrl-tools, python3, ${misc:Depends}
 Description: DEP-8 test control file generator
  autodep8 will detect well-known types of packages and generate
  DEP-8-compliant test control files for them. It can be used by DEP-8

## autodep8 0.5.1~bpo8+1

=== Makefile ===
PREFIX ?= /usr/local
install_support = $(patsubst support/%, install-%, $(wildcard support/*))

all: autodep8.1

autodep8.1: autodep8.pod
	pod2man --verbose --name autodep8 -c '' -r '' --utf8 $< $@ || ($(RM) $@; false)

autodep8.pod: README.md
	sed -e 's/^#/=head1/' $< > $@ || ($(RM) $@; false)

install: $(install_support)
	install -d $(DESTDIR)/$(PREFIX)/bin
	install -m 755 autodep8 $(DESTDIR)/$(PREFIX)/bin

$(install_support): install-%: support/%
	install -d $(DESTDIR)/$(PREFIX)/share/autodep8/$<
	install -m 755 $^/* $(DESTDIR)/$(PREFIX)/share/autodep8/$<
	install -d $(DESTDIR)/$(PREFIX)/share/man/man1
	install -m 644 autodep8.1 $(DESTDIR)/$(PREFIX)/share/man/man1

.PHONY: test
test:
	./test/run.sh test/*_test.sh

check: test

clean:
	$(RM) autodep8.pod autodep8.1

=== debian/changelog ===
autodep8 (0.5.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 09 May 2016 08:24:19 -0300

autodep8 (0.5.1) unstable; urgency=medium

  * test/helper.sh: include extra information on failed tests to help
    debugging.
  * avoid partial matches in `Testsuite` field, e.g. `r` should never match
    `ruby`
  * make sure supported languages are always tested in a consistent order

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 25 Apr 2016 16:15:02 -0300

autodep8 (0.5) unstable; urgency=medium

  [ Gordon Ball ]
  * Add detection and simple test generation for R
  * Update d/control with supported package types

  [ Antonio Terceiro ]
  * Build and install a manpage out of README.md

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 25 Apr 2016 11:53:47 -0300

autodep8 (0.4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 (no changes needed).
  * Changed Vcs-* URLs to https schema.
  * Fixed list in package description.
  * Added Python support.

  [ Antonio Terceiro ]
  * Add missing NodeJS and DKMS into list of supported package types in this
    package's description
  * NodeJS: change directory to $ADTTMP before trying to require module to
    avoid using code from source package.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 24 Apr 2016 10:41:33 -0300

## autodep8 0.6~bpo8+1

=== debian/changelog ===
autodep8 (0.6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 02 Jun 2016 13:55:44 -0300

autodep8 (0.6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Python: Substitute hyphen with underscore for module name

  [ Barry Warsaw ]
  * Python: Added support for PyPy (Closes: #823883)

  [ Antonio Terceiro ]
  * If `debian/tests/control.autodep8` exists, autodep8 will prepend the
    contents of that file to its own output. (Closes: #823931)
  * dkms: add missing `@` in Depends: line of generated test control files
  * manpage: include one example for each supported package type

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 27 May 2016 09:38:30 -0300

## autodep8 0.7.1~bpo8+1

=== debian/changelog ===
autodep8 (0.7.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 08 Aug 2016 14:20:33 -0300

autodep8 (0.7.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Python: Ignore warnings (stderr) from pyversions

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 01 Aug 2016 14:52:16 -0300

autodep8 (0.7) unstable; urgency=medium

  [ Ondřej Nový ]
  * Python: Run import test on all Python versions

  [ Stefano Rivera ]
  * Ruby: strip build profile restrictions when producing test dependencies
    from build dependencies (Closes: #832567)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 28 Jul 2016 08:57:42 -0300

## autodep8 0.7.1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 9), dctrl-tools, shunit2, python3
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/autodep8.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/autodep8.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/autodep8.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/autodep8.git
 
 
 Package: autodep8
@@ -18,5 +18,9 @@
  implementations to support implicit test control files.
  .
  Currently supported packages types:
- - Ruby packages using gem2deb/gem2deb-test-runner
- - Perl packages
+  - Ruby packages using gem2deb/gem2deb-test-runner
+  - Perl packages
+  - Python packages
+  - NodeJS packages
+  - Kernel module packages using DKMS
+  - R packages

## autodep8 0.8~bpo8+1

=== debian/changelog ===
autodep8 (0.8~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 01 Sep 2016 19:26:06 -0300

autodep8 (0.8) unstable; urgency=medium

  [ Sean Whitton ]
  * Add support for ELPA package testsuites run by dh_elpa_test
    (Closes: #823979).
  * Add test suite for ELPA package testsuite detection.
  * Bump copyright years in d/copyright.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 25 Aug 2016 20:36:02 -0300

## autodep8 0.8

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,11 @@
 autodep8.1: autodep8.pod
 	pod2man --verbose --name autodep8 -c '' -r '' --utf8 $< $@ || ($(RM) $@; false)
 
-autodep8.pod: README.md
-	sed -e 's/^#/=head1/' $< > $@ || ($(RM) $@; false)
+autodep8.pod: README.md examples.md
+	(sed -e '/examples.md/ r examples.md' README.md | sed -e '/examples.md/d; s/^##/=head2/; s/^#/=head1/' > $@) || ($(RM) $@; false)
+
+update-examples:
+	sh examples.sh > examples.md
 
 install: $(install_support)
 	install -d $(DESTDIR)/$(PREFIX)/bin

=== debian/control ===
--- 
+++ 
@@ -24,3 +24,4 @@
   - NodeJS packages
   - Kernel module packages using DKMS
   - R packages
+  - Emacs Lisp ELPA packages

## autodep8 0.9

=== debian/changelog ===
autodep8 (0.9) unstable; urgency=medium

  [ Martín Ferrari ]
  * Add support for Go package testsuites run by dh_golang_autopkgtest.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 26 May 2017 07:42:20 -0300

## autodep8 0.10~bpo9+1

=== debian/changelog ===
autodep8 (0.10~bpo9+1) stretch-backports; urgency=medium

  * Team upload.

  * Upload to stretch-backports, such that ci.debian.org can use the
    version of autodep8 with Go and Octave support.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 28 Sep 2017 05:09:58 -0300

autodep8 (0.10) unstable; urgency=medium

  * Team upload.

  [ Antonio Terceiro ]
  * Mention the Go support in the package description

  [ Rafael Laboissiere ]
  * Add support for Octave-Forge packages (Closes: #874306)
  * Bump Standards-Version to 4.1.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 12 Sep 2017 11:38:05 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 9), dctrl-tools, shunit2, python3
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/autodep8.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/autodep8.git
 
@@ -25,3 +25,5 @@
   - Kernel module packages using DKMS
   - R packages
   - Emacs Lisp ELPA packages
+  - Go packages
+  - Octave-Forge packages

## autodep8 0.11.1~bpo9+1

=== debian/changelog ===
autodep8 (0.11.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Gevers <elbrus@debian.org>  Sun, 22 Apr 2018 21:14:46 +0200

autodep8 (0.11.1) unstable; urgency=medium

  * Makefile: install manpage only once, fixing frequent (but not
    deterministic) failures in parallel builds.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 02 Feb 2018 11:02:23 -0200

autodep8 (0.11) unstable; urgency=medium

  * Team upload.

  * Use dh-octave-autopkgtest for Octave support
  * Use debhelper compatibility level 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 01 Feb 2018 19:12:32 -0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>, Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 9), dctrl-tools, shunit2, python3
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 11), dctrl-tools, shunit2, python3
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/autodep8.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/autodep8.git

## autodep8 0.12~bpo9+1

=== debian/changelog ===
autodep8 (0.12~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Gevers <elbrus@debian.org>  Thu, 26 Apr 2018 13:09:59 +0200

autodep8 (0.12) unstable; urgency=medium

  [ Iain Lane ]
  * nodejs: We don't need to do fancy quoting any more. Since autopkgtest
    commit 702c31af, autopkgtest will escape ' properly for us.
  * Enable autodep8 to be a symlink

  [ Ondřej Nový ]
  * Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Dylan Aïssi ]
  * Let R tests use pkg-r-autopkgtest to facilitate enhanced testing

  [ Paul Gevers ]
  * Minor packaging updates

 -- Paul Gevers <elbrus@debian.org>  Fri, 20 Apr 2018 20:25:37 +0200

## autodep8 0.12

=== Makefile ===
--- 
+++ 
@@ -15,12 +15,12 @@
 install: $(install_support)
 	install -d $(DESTDIR)/$(PREFIX)/bin
 	install -m 755 autodep8 $(DESTDIR)/$(PREFIX)/bin
+	install -d $(DESTDIR)/$(PREFIX)/share/man/man1
+	install -m 644 autodep8.1 $(DESTDIR)/$(PREFIX)/share/man/man1/
 
 $(install_support): install-%: support/%
 	install -d $(DESTDIR)/$(PREFIX)/share/autodep8/$<
 	install -m 755 $^/* $(DESTDIR)/$(PREFIX)/share/autodep8/$<
-	install -d $(DESTDIR)/$(PREFIX)/share/man/man1
-	install -m 644 autodep8.1 $(DESTDIR)/$(PREFIX)/share/man/man1
 
 .PHONY: test
 test:

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: autodep8
 Section: devel
 Priority: optional
-Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>, Martin Pitt <mpitt@debian.org>
+Maintainer: Debian CI team <debian-ci@lists.debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>, Martin Pitt <mpitt@debian.org>, Paul Gevers <elbrus@debian.org>
 Build-Depends: debhelper (>= 11), dctrl-tools, shunit2, python3
 Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/autodep8.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/autodep8.git
+Vcs-Git: https://salsa.debian.org/ci-team/autodep8.git
+Vcs-Browser: https://salsa.debian.org/ci-team/autodep8
 
 
 Package: autodep8

## autodep8 0.13~bpo9+1

=== debian/changelog ===
autodep8 (0.13~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Jul 2018 10:35:57 -0300

autodep8 (0.13) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Fix typo in examples.md

  [ Graham Inggs ]
  * Update examples.md since nodejs quoting is fixed

  [ Rafael Laboissiere ]
  * s/o/generate: Use option --use-installed-package in call to dh_octave_check.
    Also, add a versioned dependency on dh-octave-autopkgtest, because this
    option was introduced in version 0.5.6 of the package.
    (Closes: #903498, #903409)
  * d/control:
    + Set Maintainer email address to team+ci@tracker.debian.org
    + Add myself to the Uploaders list
    + Bump Standards-Version to 4.1.5 (no changes needed)
  * d/copyright:
    + Use secure URL in Format header
    + Use Salsa URL in Source header
    + Update date of Copyright

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Jul 2018 08:53:16 -0300

## autodep8 0.13

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: autodep8
 Section: devel
 Priority: optional
-Maintainer: Debian CI team <debian-ci@lists.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>, Martin Pitt <mpitt@debian.org>, Paul Gevers <elbrus@debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>,
+           Martin Pitt <mpitt@debian.org>,
+           Paul Gevers <elbrus@debian.org>,
+           Rafael Laboissiere <rafael@debian.org>
 Build-Depends: debhelper (>= 11), dctrl-tools, shunit2, python3
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/ci-team/autodep8.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autodep8

## autodep8 0.14~bpo9+1

=== debian/changelog ===
autodep8 (0.14~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 27 Aug 2018 22:03:36 -0300

autodep8 (0.14) unstable; urgency=medium

  * Add build-dependencies of Octave-Forge packages to unit tests Depends
    + s/octave/generate: Parse Build-Depends from debian/control
    + t/octave_test.sh: Add unit test for this new feature
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.1

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 27 Aug 2018 20:11:50 -0300

## autodep8 0.15

=== debian/changelog ===
autodep8 (0.15) unstable; urgency=medium

  * Handle the case where debian/tests/control.autodep8 has no trailing
    newline.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 15 Nov 2018 12:42:50 -0200

## autodep8 0.16

=== debian/changelog ===
autodep8 (0.16) unstable; urgency=medium

  [ Paul Gevers ]
  * Prepend debian/tests/control to the output if it exists (Closes:
    #908272)
  * Generalize code to get BD or recommends from d/control and use it
    (Closes: #907625)
  * Let r packages install recommends for testing
  * Add allow-stderr to python (Closes: #905153)
  * Mark nodejs and python tests as superficial
  * Give tests a name when there is more than one

  [ Dylan Aïssi ]
  * Improve support for R packages

 -- Paul Gevers <elbrus@debian.org>  Sun, 09 Dec 2018 08:50:03 +0100

## autodep8 0.17~bpo9+1

=== debian/changelog ===
autodep8 (0.17~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Gevers <elbrus@debian.org>  Sun, 16 Dec 2018 12:15:43 +0100

autodep8 (0.17) unstable; urgency=medium

  * Revert adding Recommends from d/control as it doesn't work properly
    (Closes: #916144)

 -- Paul Gevers <elbrus@debian.org>  Mon, 10 Dec 2018 21:37:05 +0100

## autodep8 0.18~bpo9%2B1

=== debian/changelog ===
autodep8 (0.18~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Paul Gevers <elbrus@debian.org>  Fri, 22 Feb 2019 11:34:23 +0100

autodep8 (0.18) unstable; urgency=medium

  [ Xavier Guimard ]
  * Update nodejs files to use pkg-js-autopkgtest

  [ Sean Whitton ]
  * Update support/elpa/detect for 'debhelper-compat' build-dep
    (Closes: #917804)

 -- Paul Gevers <elbrus@debian.org>  Wed, 30 Jan 2019 20:17:41 +0100

## autodep8 0.18

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PREFIX ?= /usr/local
-install_support = $(patsubst support/%, install-%, $(wildcard support/*))
+install_support = $(filter-out install-common,$(patsubst support/%, install-%, $(wildcard support/*)))
 
 all: autodep8.1
 
@@ -13,6 +13,7 @@
 	sh examples.sh > examples.md
 
 install: $(install_support)
+	install -m 644 support/common $(DESTDIR)/$(PREFIX)/share/autodep8/support
 	install -d $(DESTDIR)/$(PREFIX)/bin
 	install -m 755 autodep8 $(DESTDIR)/$(PREFIX)/bin
 	install -d $(DESTDIR)/$(PREFIX)/share/man/man1

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
            Paul Gevers <elbrus@debian.org>,
            Rafael Laboissiere <rafael@debian.org>
 Build-Depends: debhelper (>= 11), dctrl-tools, shunit2, python3
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/ci-team/autodep8.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autodep8
-
+Rules-Requires-Root: no
 
 Package: autodep8
 Architecture: all

=== debian/tests/control ===
Test-Command: make test
Depends: @, shunit2

## autodep8 0.18ubuntu2

=== debian/changelog ===
autodep8 (0.18ubuntu2) eoan; urgency=medium

  * Adjust pypy handling further to pass the test suite.
  * Add a test case.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Sep 2019 22:16:56 +0000

autodep8 (0.18ubuntu1) eoan; urgency=medium

  * support/python/generate: if the source package is python-*, don't
    clobber this looking for pypy-*.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Sep 2019 14:56:28 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: autodep8
 Section: devel
 Priority: optional
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Martin Pitt <mpitt@debian.org>,
            Paul Gevers <elbrus@debian.org>,

## autodep8 0.18+nmu1

=== debian/changelog ===
autodep8 (0.18+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:25:21 +0800

## autodep8 0.22~bpo10+1

=== debian/changelog ===
autodep8 (0.22~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 03 Feb 2020 20:44:44 +0100

autodep8 (0.22) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Antonio Terceiro ]
  * ruby: add "Restrictions: skippable"

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 08 Jan 2020 18:00:47 -0300

autodep8 (0.21) unstable; urgency=medium

  [ Paul Gevers ]
  * Add Restrictions: isolation-machine to dkms tests
    (Closes: #945586)

  [ Antonio Terceiro ]
  * ruby: add spaces after commas for cosmetic reasons
  * Improve documentation (Closes: #928622)
    * Document valid values for Testsuite: field
    * Document how package type is detected

  [ Simon McVittie ]
  * Allow Python module name to import to be overridden
    (Closes: #884181, #929957)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 01 Dec 2019 22:17:13 -0300

autodep8 (0.20) unstable; urgency=medium

  [ Steve Langasek ]
  * Don't test non-default python3 for packages with python3-dev build-dep.
  * Add test case for py3versions -r

  [ Antonio Terceiro ]
  * Add test-name to all Test-Command: tests
  * Bump Standards-Version to 4.4.1; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Nov 2019 10:37:02 -0300

autodep8 (0.19) unstable; urgency=medium

  [ Xavier Guimard ]
  * perl support: use tags skippable and superficial

  [ Antonio Terceiro ]
  * Add gitlab-ci integration
  * gitlab-ci: use stable-backports for stable

  [ Xavier Guimard ]
  * nodejs: add nodejs in "require" test to be able to test libjs-*
    packages

  [ Steve Langasek ]
  * Fix situation for Python packages that drop Python 2 support but have
    a python-* package (Closes: #940001)

 -- Paul Gevers <elbrus@debian.org>  Fri, 13 Sep 2019 21:49:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: autodep8
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Martin Pitt <mpitt@debian.org>,
            Paul Gevers <elbrus@debian.org>,
            Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper (>= 11), dctrl-tools, shunit2, python3
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), dctrl-tools, shunit2, python3
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/ci-team/autodep8.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autodep8
 Rules-Requires-Root: no

## autodep8 0.22ubuntu1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	pod2man --verbose --name autodep8 -c '' -r '' --utf8 $< $@ || ($(RM) $@; false)
 
 autodep8.pod: README.md examples.md
-	(sed -e '/examples.md/ r examples.md' README.md | sed -e '/examples.md/d; s/^##/=head2/; s/^#/=head1/' > $@) || ($(RM) $@; false)
+	(sed -e '/examples.md/ r examples.md' README.md | sed -e '/examples.md/d; s/^##/=head2/; s/^#/=head1/; s/\*\*\([^\*]*\)\*\*/B<\1>/g; s/\*\([^\*]*\)\*/I<\1>/g; ' > $@) || ($(RM) $@; false)
 
 update-examples:
 	sh examples.sh > examples.md

=== debian/changelog ===
autodep8 (0.22ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop doing python2 import tests, as they are superfecial, and we
    have removed too many of them to make python2 import tests succeed
    often.
    - Revert: dkms: add missing `@` in Depends: line of generated test
    control files. We must not install the packages as a dependency else
    we will attempt to install the dkms packages immediatly and if they
    fail to build we will abort the test.  This prevents us from grabbing
    the make.log.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 04 Mar 2020 11:36:19 +0000

autodep8 (0.21ubuntu2) focal; urgency=medium

  * Drop doing python2 import tests, as they are superfecial, and we have
    removed too many of them to make python2 import tests succeed often.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 15 Jan 2020 16:31:57 +0000

autodep8 (0.21ubuntu1) focal; urgency=medium

  * Revert: dkms: add missing `@` in Depends: line of generated
    test control files
    + we must not install the packages as a dependency else we will
      attempt to install the dkms packages immediatly and if they
      fail to build we will abort the test.  This prevents us from
      grabbing the make.log.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 10 Dec 2019 14:56:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: autodep8
 Section: devel
 Priority: optional
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Martin Pitt <mpitt@debian.org>,
            Paul Gevers <elbrus@debian.org>,

## autodep8 0.24~bpo10+1

=== debian/changelog ===
autodep8 (0.24~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Paul Gevers <elbrus@debian.org>  Mon, 26 Oct 2020 21:46:07 +0100

autodep8 (0.24) unstable; urgency=medium

  * Drop support for python2 (Closes: #967035)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 11 Aug 2020 10:00:04 -0300

autodep8 (0.23) unstable; urgency=medium

  [ Xavier Guimard ]
  * nodejs: mark require test as skippable

  [ Iain Lane ]
  * Revert "dkms testing doesn't work in lxc, it needs isolation-machine"

  [ Balint Reczey ]
  * Revert "dkms: add missing `@` in Depends: line"
    Thanks to Dimitri John Ledkov for fixing that in 0.22ubuntu1

  [ Antonio Terceiro ]
  * Use a single support dir, based on the binary location
  * Read configuration from debian/tests/autopkgtest-pkg-${type}.conf
  * ci: use salsa-ci pipeline
  * Add configuration for extra test dependencies and restrictions in all
    package types. See autodep(1) for documentation.
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * debian/control: force-wrap *Depends: fields
  * Bump debhelper compatibility level to 13
  * Add integration tests

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 May 2020 11:34:58 -0300

## autodep8 0.24

=== debian/control ===
Source: autodep8
Section: devel
Priority: optional
Maintainer: Debian CI team <team+ci@tracker.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Martin Pitt <mpitt@debian.org>,
           Paul Gevers <elbrus@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Build-Depends: dctrl-tools,
               debhelper-compat (= 13),
               python3,
               shunit2
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ci-team/autodep8.git
Vcs-Browser: https://salsa.debian.org/ci-team/autodep8
Rules-Requires-Root: no

Package: autodep8
Architecture: all
Depends: dctrl-tools,
         python3,
         ${misc:Depends}
Description: DEP-8 test control file generator
 autodep8 will detect well-known types of packages and generate
 DEP-8-compliant test control files for them. It can be used by DEP-8
 implementations to support implicit test control files.
 .
 Currently supported packages types:
  - Ruby packages using gem2deb/gem2deb-test-runner
  - Perl packages
  - Python packages
  - NodeJS packages
  - Kernel module packages using DKMS
  - R packages
  - Emacs Lisp ELPA packages
  - Go packages
  - Octave-Forge packages

## autodep8 0.24ubuntu1

=== debian/changelog ===
autodep8 (0.24ubuntu1) groovy; urgency=medium

  * examples.in: Change example dkms package to acpi-call. In Ubuntu kpatch
    doesn't build kpatch-dkms.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 21 Aug 2020 10:15:03 +0100

## autodep8 0.25

=== debian/changelog ===
autodep8 (0.25) unstable; urgency=medium

  [ Iain Lane ]
  * examples.in: Replace kpatch with acpi-call as an example dkms package

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + autodep8: Add :any qualifier for python3 dependency.

  [ Rafael Laboissière ]
  * Allow specification of test environment for octave
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 17 Sep 2021 16:10:43 -0300

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Martin Pitt <mpitt@debian.org>,
            Paul Gevers <elbrus@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>
+           Rafael Laboissière <rafael@debian.org>
 Build-Depends: dctrl-tools,
                debhelper-compat (= 13),
                python3,
                shunit2
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ci-team/autodep8.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autodep8
 Rules-Requires-Root: no
@@ -18,7 +18,7 @@
 Package: autodep8
 Architecture: all
 Depends: dctrl-tools,
-         python3,
+         python3:any,
          ${misc:Depends}
 Description: DEP-8 test control file generator
  autodep8 will detect well-known types of packages and generate

=== debian/tests/control ===
Test-Command: make test
Depends: @, shunit2

Tests: integration-tests
Restrictions: allow-stderr
Depends: @, moreutils, autopkgtest

## autodep8 0.26~bpo11+1

=== debian/changelog ===
autodep8 (0.26~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 23 Mar 2022 10:35:21 -0300

autodep8 (0.26) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Allow specifying the Architecture field

  [ Sandro Tosi ]
  * Remove reference to python2

  [ Antonio Terceiro ]
  * read_config: don't output valid lines read from config file
  * read_config: fix tests
  * Drop dependency on python3, not needed anymore
  * autopkgtest: give a name to unit tests job

  [ Andreas Beckmann ]
  * dkms: add restriction breaks-testbed
  * dkms: add restriction superficial (Closes: #1006569)
  * dkms: add (triggering) dependency on linux-doc
  * dkms: scan Build-Depends-Arch for dkms, too

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 19 Mar 2022 13:37:24 -0300

## autodep8 0.26

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
            Rafael Laboissière <rafael@debian.org>
 Build-Depends: dctrl-tools,
                debhelper-compat (= 13),
-               python3,
                shunit2
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ci-team/autodep8.git
@@ -18,7 +17,6 @@
 Package: autodep8
 Architecture: all
 Depends: dctrl-tools,
-         python3:any,
          ${misc:Depends}
 Description: DEP-8 test control file generator
  autodep8 will detect well-known types of packages and generate

## autodep8 0.27

=== debian/changelog ===
autodep8 (0.27) unstable; urgency=medium

  [ Christoph Berg ]
  * Sync variable name in text and code in multiline example

  [ Antonio Terceiro ]
  * examples.in: test nodejs support with node-abbrev

  [ Rafael Laboissière ]
  * Update build-deps exclusions for Octave packages

 -- Paul Gevers <elbrus@debian.org>  Thu, 27 Oct 2022 10:21:09 +0200

=== debian/tests/control ===
Test-Command: make test
Depends: @, shunit2
Features: test-name=unit-tests

Tests: integration-tests
Restrictions: allow-stderr
Depends: @, moreutils, autopkgtest

Test-Command: /bin/false
Restrictions: hint-testsuite-triggers
# Should be in sync with examples.in to be useful
Depends:
 acpi-call-dkms,
 elpa-which-key,
 prometheus,
 node-abbrev,
 octave-signal,
 libtest-most-perl,
 python3-flaky,
 r-cran-evaluate,
 ruby-sqlite3,

## autodep8 0.28~bpo11+2

=== debian/changelog ===
autodep8 (0.28~bpo11+2) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Previous upload included one commit not release in 0.28.
    - Revert "autopkgtest-pkg-dkms: generate Depends: openssl for signing
    modules"

 -- Paul Gevers <elbrus@debian.org>  Wed, 08 Feb 2023 22:51:26 +0100

autodep8 (0.28~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Paul Gevers <elbrus@debian.org>  Wed, 08 Feb 2023 22:22:41 +0100

autodep8 (0.28) unstable; urgency=medium

  * test-package-type: test against synthetic packages
  * Add support for pybuild-autopkgtest, via
    `Testsuite: autopkgtest-pkg-pybuild`. See pybuild-autopkgtest(1) for
    usage details.
  * Bump Standards-Version to 4.6.1; no changes needed
  * debian/tests/control: drop obsolete test

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 06 Dec 2022 21:01:12 -0300

## autodep8 0.28

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: dctrl-tools,
                debhelper-compat (= 13),
                shunit2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ci-team/autodep8.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autodep8
 Rules-Requires-Root: no
@@ -27,6 +27,7 @@
   - Ruby packages using gem2deb/gem2deb-test-runner
   - Perl packages
   - Python packages
+  - Python packages using pybuild
   - NodeJS packages
   - Kernel module packages using DKMS
   - R packages

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX = /usr

%:
	dh $@

## autodep8 0.28%2Bnmu1ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: autodep8
 Section: devel
 Priority: optional
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Martin Pitt <mpitt@debian.org>,
            Paul Gevers <elbrus@debian.org>,
@@ -26,6 +27,7 @@
  Currently supported packages types:
   - Ruby packages using gem2deb/gem2deb-test-runner
   - Perl packages
+  - PHP packages using phpunit
   - Python packages
   - Python packages using pybuild
   - NodeJS packages

## autodep8 0.28+nmu1

=== debian/changelog ===
autodep8 (0.28+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * R packages: don't match packages with unrequested suffixes

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 17 Jul 2024 17:09:01 +0200

## autodep8 0.28+nmu1ubuntu1

=== debian/changelog ===
autodep8 (0.28+nmu1ubuntu1) oracular; urgency=medium

  * Add PHP support. The tests are generated by the pkg-php-tools binary
    package.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 14 Aug 2024 11:39:30 -0300

## autodep8 0.29

=== Makefile ===
PREFIX ?= /usr/local
install_support = $(filter-out install-common install-autodep8lib.sh,$(patsubst support/%, install-%, $(wildcard support/*)))

all: autodep8.1

autodep8.1: autodep8.pod
	pod2man --verbose --name autodep8 -c '' -r '' --utf8 $< $@ || ($(RM) $@; false)

autodep8.pod: README.md examples.md
	(sed -e '/examples.md/ r examples.md' README.md | sed -e '/examples.md/d; /```/,/```/ s/^/    /; /```/d; s/^##/=head2/; s/^#/=head1/; s/\*\*\([^\*]*\)\*\*/B<\1>/g; s/\*\([^\*]*\)\*/I<\1>/g' > $@) || ($(RM) $@; false)

update-examples:
	sh examples.sh > examples.md

install: $(install_support)
	install -m 644 support/common $(DESTDIR)/$(PREFIX)/share/autodep8/support
	install -m 644 support/autodep8lib.sh $(DESTDIR)/$(PREFIX)/share/autodep8/support
	install -d $(DESTDIR)/$(PREFIX)/bin
	install -m 755 autodep8 $(DESTDIR)/$(PREFIX)/bin
	install -d $(DESTDIR)/$(PREFIX)/share/man/man1
	install -m 644 autodep8.1 $(DESTDIR)/$(PREFIX)/share/man/man1/

$(install_support): install-%: support/%
	install -d $(DESTDIR)/$(PREFIX)/share/autodep8/$<
	install -m 755 $^/* $(DESTDIR)/$(PREFIX)/share/autodep8/$<

.PHONY: test
test:
	./test/run.sh test/*_test.sh

check: test

clean:
	$(RM) autodep8.pod autodep8.1

=== debian/changelog ===
autodep8 (0.29) unstable; urgency=medium

  [ Jérôme Charaoui ]
  * Add support for testing Puppet modules

  [ Athos Ribeiro ]
  * Add support for testing PHP modules using phpunit

  [ Simon McVittie ]
  * Merge NMU. Thanks to Michael R. Crusoe
  * d/changelog: Document additional changes that were (perhaps
    unintentionally?) included in the NMU

  [ Antonio Terceiro ]
  * dkms: add test dependency on dctrl-tools

  [ Paul Gevers ]
  * perl: use @recommends instead of needs-recommeds

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 08 Apr 2025 16:42:20 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: autodep8
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Martin Pitt <mpitt@debian.org>,
            Paul Gevers <elbrus@debian.org>,
@@ -28,6 +27,7 @@
   - Ruby packages using gem2deb/gem2deb-test-runner
   - Perl packages
   - PHP packages using phpunit
+  - Puppet modules
   - Python packages
   - Python packages using pybuild
   - NodeJS packages

## autodep8 0.30

=== Makefile ===
--- 
+++ 
@@ -30,5 +30,10 @@
 
 check: test
 
+scripts = autodep8 $(shell grep -r '#!/bin/sh' -l support/)
+
+shellcheck:
+	shellcheck --external-sources --source-path=support:support/octave --shell=dash $(scripts)
+
 clean:
 	$(RM) autodep8.pod autodep8.1

=== debian/changelog ===
autodep8 (0.30) unstable; urgency=medium

  [ Antonio Terceiro ]
  * R: don't use APT cache for dependencies (Closes: #961138)
  * Fix all warnings produced by shellcheck

 -- Paul Gevers <elbrus@debian.org>  Sat, 30 Aug 2025 13:59:46 +0200

=== debian/tests/control ===
Test-Command: make test
Depends: @, shunit2
Features: test-name=unit-tests

Tests: integration-tests
Restrictions: allow-stderr
Depends: @, moreutils, autopkgtest

## autodep8 0.30build1

=== debian/changelog ===
autodep8 (0.30build1) resolute; urgency=medium

  * Rebuild to clear amd64v3 from FTBFS report

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Dec 2025 07:38:18 -0500
